# Search Order

{% openapi src="/files/r4o4wn8MaaisuPe8MEqf" path="/v2/inscribe/order/{orderId}" method="get" %}
[swagger.yaml](https://3523236551-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FJ4NHAHIVnWQiEecvs1By%2Fuploads%2FwLGCSgZJ2x4Y5HBwMo4J%2Fswagger.yaml?alt=media\&token=41cf5a70-2499-4da5-ab33-0530fc3e2772)
{% endopenapi %}

```typescript

enum OrderStatus {
    // when create order
    pending = 'pending',
    
    // pay not enough, need pay more
    payment_notenough = 'payment_notenough',
    
    // pay over, need choose continue or refund
    payment_overpay = 'payment_overpay',
    
    // there is an inscription in payment transaction, need refund
    payment_withinscription = 'payment_withinscription',
    
    // in some case, payment transaction need be confirmed
    payment_waitconfirmed = 'payment_waitconfirmed',
    
    // payment success
    payment_success = 'payment_success',
    
    // ready to inscribe
    ready = 'ready',
    inscribing = 'inscribing',
    minted = 'minted',
    closed = 'closed',
    refunded = 'refunded',
    cancel = 'cancel',
}


enum InscriptionStatus {
  pending = 'pending',
  unconfirmed = 'unconfirmed',
  confirmed = 'confirmed'
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unisat.io/developer-support/open-api-documentation/api-for-bitcoin/unisat-inscribe/search-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
